## huggingface-hub 0.31.1

=== contrib/sentence_transformers/requirements.txt ===
git+https://github.com/UKPLab/sentence-transformers.git#egg=sentence-transformers

=== contrib/spacy/requirements.txt ===
git+https://github.com/explosion/spacy-huggingface-hub.git#egg=spacy-huggingface-hub

=== debian/changelog ===
huggingface-hub (0.31.1-2) unstable; urgency=medium

  * [GSoC Mentor] source-only re-upload for testing migration.

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Aug 2025 13:25:59 -0400

huggingface-hub (0.31.1-1) unstable; urgency=medium
  
  * update to 0.31.1

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Mon, 12 May 2025 09:38:55 -0400

huggingface-hub (0.29.3-1) experimental; urgency=medium

  * Initial release. (Closes: #1101005)

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Wed, 12 Mar 2025 20:11:35 +0000

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=huggingface-hub

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	true

=== debian/tests/control ===
Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_auth.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-auth

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_auth_cli.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-auth-cli

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_cache_no_symlinks.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-cache-no-symlinks

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_cli.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-cli

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_commit_api.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-commit-api

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_dduf.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-dduf

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_fastai_integration.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-fastai-integratione

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_lfs.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-lfs

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_local_folder.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-local-folder

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_login_utils.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-login-utils

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_offline_utils.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-offline-utils

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_repocard_data.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-repocard-data

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_testing_configuration.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env
Restrictions: allow-stderr
Features: test-name=pytest-test-testing-configuration

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_utils_assets.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env

=== debian/watch ===
Version: 5

Source: https://github.com/huggingface/huggingface_hub/tags
Matching-Pattern: (?:.*?/)?v?(\d+(?:\.\d+)+)(?!\.rc)@ARCHIVE_EXT@
Dversionmangle: auto
Filenamemangle: s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%

## huggingface-hub 1.2.2

=== Makefile ===
.PHONY: quality style test


check_dirs := src tests utils setup.py


quality:
	ruff check $(check_dirs)  # linter
	ruff format --check $(check_dirs) # formatter
	python utils/check_inference_input_params.py
	python utils/check_static_imports.py
	python utils/check_all_variable.py
	python utils/generate_async_inference_client.py
	python utils/generate_cli_reference.py

	ty check src

style:
	ruff format $(check_dirs) # formatter
	ruff check --fix $(check_dirs) # linter
	python utils/check_static_imports.py --update
	python utils/check_all_variable.py --update
	python utils/generate_async_inference_client.py --update
	python utils/generate_cli_reference.py --update

inference_check:
	python utils/generate_inference_types.py
	python utils/check_task_parameters.py

inference_update:
	python utils/generate_inference_types.py --update
	python utils/check_task_parameters.py --update


repocard:
	python utils/push_repocard_examples.py


test:
	pytest ./tests/

=== debian/changelog ===
huggingface-hub (1.2.2-2) unstable; urgency=medium

  * Skip one more autopkgtest case for s390x to unblock migration.

 -- Mo Zhou <lumin@debian.org>  Thu, 11 Dec 2025 21:37:13 -0500

huggingface-hub (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Add myself to uploaders (as GSoC Mentor).
  * Add python3-typer as runtime dependency.
  * Add python3-pytest-asyncio to autopkgtest dependencies.
  * Comment a couple of autopkgtest cases.
  * Update lintian overrides for no-manual-page.

 -- Mo Zhou <lumin@debian.org>  Wed, 10 Dec 2025 22:49:56 -0500

=== debian/control ===
Source: huggingface-hub
Section: python
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>,
           Mo Zhou <lumin@debian.org>,
Rules-Requires-Root: no
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/huggingface/huggingface_hub
Vcs-Browser: https://salsa.debian.org/deeplearning-team/huggingface_hub
Vcs-Git: https://salsa.debian.org/deeplearning-team/huggingface_hub.git
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-tqdm,
 python3-yaml,
 python3-filelock,
 python3-packaging,
 python3-fsspec,
 python3-requests,
 python3-typing-extensions

Package: python3-huggingface-hub
Section: python
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 git,
 python3-typer,
Description: Official Python client for the Huggingface Hub.
 The huggingface_hub library allows you to interact with the 
 Hugging Face Hub, a platform democratizing open-source Machine Learning
 for creators and collaborators. Discover pre-trained models and datasets
 for your projects or play with the thousands of machine learning apps 
 hosted on the Hub. You can also create and share your own models, 
 datasets and demos with the community. 
 The huggingface_hub library provides a simple way to do all these things
 with Python.

=== debian/tests/control ===
Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_auth.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-auth

#Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_auth_cli.py
#Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
#Restrictions: allow-stderr
#Features: test-name=pytest-test-auth-cli

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_cache_no_symlinks.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-cache-no-symlinks

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_cli.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-cli

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_commit_api.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-commit-api

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_dduf.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-dduf

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_fastai_integration.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-fastai-integratione

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_lfs.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-lfs

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_local_folder.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-local-folder

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_login_utils.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-login-utils

#Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_offline_utils.py
#Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
#Restrictions: allow-stderr
#Features: test-name=pytest-test-offline-utils

Test-Command: cd tests/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v test_repocard_data.py
Depends: @, python3-pytest, python3-pytest-mock, python3-pytest-env, python3-pytest-asyncio,
Restrictions: allow-stderr
Features: test-name=pytest-test-repocard-data
